List Brand Profiles
GET
/api/v1/workspaces/{workspace_id}/email_design_systems/{emailDesignSystemId}/brand_profiles
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_design_systems/1/brand_profiles?per=10&page=1&sort=created_at_asc';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_design_systems/1/brand_profiles?per=10&page=1&sort=created_at_asc' \ --header 'Authorization: Bearer <token>'Retrieves the brand profiles
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
emailDesignSystemId
required
integer
Email Design System ID
Query Parameters
Section titled “Query Parameters”per
integer
Number of records per page
page
integer
Page number
sort
string
Sorting
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
results
required
Array<object>
object
id
required
integer
name
required
string
component_overrides
required
Array<object>
object
component_name
required
string
hidden
required
When a component is hidden, it is not available for selection within the email editor.
boolean
design_tokens
required
object
key
additional properties
any
created_at
required
string format: date-time
updated_at
required
string format: date-time
email_design_system_id
required
integer
pagination
required
object
per
required
integer
page
required
integer
total
required
integer
Example
{ "results": [ { "id": 1, "name": "My Brand", "component_overrides": [ { "component_name": "Headline", "hidden": false, "field_overrides": [ { "liquid_variable": "headline", "default_value": "Hello, world!", "hidden_in_editor": false, "hidden_from_ai": false, "label": "Headline" } ] } ], "design_tokens": { "primary_button_color": "#007bff", "secondary_button_color": "#6c757d" }, "created_at": "2021-01-01T00:00:00Z", "updated_at": "2021-01-01T00:00:00Z", "email_design_system_id": 1 } ], "pagination": { "per": 10, "page": 1, "total": 100 }}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Not Found
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}